Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_DefaultHandler Class Reference

ACEXML_DefaultHandler. More...

`#include "ACEXML/common/DefaultHandler.h"`

Inheritance diagram for ACEXML_DefaultHandler:

[legend]
Collaboration diagram for ACEXML_DefaultHandler:

[legend]
List of all members.

## Public Methods
| ACEXML_DefaultHandler (void)
virtual | ~ACEXML_DefaultHandler (void)
virtual void | characters (const ACEXML_Char *ch, int start, int length ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | endDocument (ACEXML_ENV_SINGLE_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | endElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | endPrefixMapping (const ACEXML_Char *prefix ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | ignorableWhitespace (const ACEXML_Char *ch, int start, int length ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | processingInstruction (const ACEXML_Char *target, const ACEXML_Char *data ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | setDocumentLocator (ACEXML_Locator *locator)
virtual void | skippedEntity (const ACEXML_Char *name ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | startDocument (ACEXML_ENV_SINGLE_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | startElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | startPrefixMapping (const ACEXML_Char *prefix, const ACEXML_Char *uri ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | notationDecl (const ACEXML_Char *name, const ACEXML_Char *publicId, const ACEXML_Char *systemId ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | unparsedEntityDecl (const ACEXML_Char *name, const ACEXML_Char *publicId, const ACEXML_Char *systemId, const ACEXML_Char *notationName ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual ACEXML_InputSource * | resolveEntity (const ACEXML_Char *publicId, const ACEXML_Char *systemId ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | error (ACEXML_SAXParseException &exception ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | fatalError (ACEXML_SAXParseException &exception ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual void | warning (ACEXML_SAXParseException &exception ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))

## Detailed Description

ACEXML_DefaultHandler.

This class is available as a convenience base class for SAX2 applications: it provides default implementations for all of the callbacks in the four core SAX2 handler classes:

- EntityResolver
- DTDHandler
- ContentHandler
- ErrorHandler

Application writers can extend this class when they need to implement only part of an interface; parser writers can instantiate this class to provide default handlers when the application has not supplied its own.

## Constructor & Destructor Documentation

ACEXML_DefaultHandler::ACEXML_DefaultHandler | ( | void |  | ) |

| Default constructor.

ACEXML_DefaultHandler::~ACEXML_DefaultHandler | ( | void |  | ) | `[virtual]`

| destructor.

## Member Function Documentation

void ACEXML_DefaultHandler::characters | ( | const ACEXML_Char * | ch,
|  | int | start,
|  | int | ACEXML_ENV_ARG_DECL_NOT_USED
| ) | `[virtual]`

| Receive notification of character data. Reimplemented from ACEXML_ContentHandler. Reimplemented in ACEXML_Print_Handler, ACEXML_SAXPrint_Handler, and ACEXML_Svcconf_Handler.

void ACEXML_DefaultHandler::endDocument | ( | ACEXML_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Receive notification of the end of a document. Reimplemented from ACEXML_ContentHandler. Reimplemented in ACEXML_Print_Handler, ACEXML_SAXPrint_Handler, and ACEXML_Svcconf_Handler.

virtual void ACEXML_DefaultHandler::endElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char *qName | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Receive notification of the end of an element. Reimplemented from ACEXML_ContentHandler. Reimplemented in ACEXML_Print_Handler, ACEXML_SAXPrint_Handler, and ACEXML_Svcconf_Handler.

virtual void ACEXML_DefaultHandler::endPrefixMapping | ( | const ACEXML_Char *prefix | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| End the scope of a prefix-URI mapping. Reimplemented from ACEXML_ContentHandler. Reimplemented in ACEXML_Print_Handler, ACEXML_SAXPrint_Handler, and ACEXML_Svcconf_Handler.

virtual void ACEXML_DefaultHandler::error | ( | ACEXML_SAXParseException &exception | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| Receive notification of a recoverable error. Reimplemented from ACEXML_ErrorHandler. Reimplemented in ACEXML_Print_Handler, ACEXML_SAXPrint_Handler, and ACEXML_Svcconf_Handler.

virtual void ACEXML_DefaultHandler::fatalError | ( | ACEXML_SAXParseException &exception | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| Receive notification of a non-recoverable error. Reimplemented from ACEXML_ErrorHandler. Reimplemented in ACEXML_Print_Handler, ACEXML_SAXPrint_Handler, and ACEXML_Svcconf_Handler.

void ACEXML_DefaultHandler::ignorableWhitespace | ( | const ACEXML_Char * | ch,
|  | int | start,
|  | int | ACEXML_ENV_ARG_DECL_NOT_USED
| ) | `[virtual]`

| Receive notification of ignorable whitespace in element content. Reimplemented from ACEXML_ContentHandler. Reimplemented in ACEXML_Print_Handler, ACEXML_SAXPrint_Handler, and ACEXML_Svcconf_Handler.

virtual void ACEXML_DefaultHandler::notationDecl | ( | const ACEXML_Char * | name,
|  | const ACEXML_Char * | publicId,
|  | const ACEXML_Char *systemId | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Receive notification of a notation declaration event. Reimplemented from ACEXML_DTDHandler. Reimplemented in ACEXML_Print_Handler, ACEXML_SAXPrint_Handler, and ACEXML_Svcconf_Handler.

virtual void ACEXML_DefaultHandler::processingInstruction | ( | const ACEXML_Char * | target,
|  | const ACEXML_Char *data | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Receive notification of a processing instruction. Reimplemented from ACEXML_ContentHandler. Reimplemented in ACEXML_Print_Handler, ACEXML_SAXPrint_Handler, and ACEXML_Svcconf_Handler.

virtual ACEXML_InputSource* ACEXML_DefaultHandler::resolveEntity | ( | const ACEXML_Char * | publicId,
|  | const ACEXML_Char *systemId | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Allow the application to resolve external entities. Reimplemented from ACEXML_EntityResolver. Reimplemented in ACEXML_Print_Handler, ACEXML_SAXPrint_Handler, and ACEXML_Svcconf_Handler.

void ACEXML_DefaultHandler::setDocumentLocator | ( | ACEXML_Locator * | locator | ) | `[virtual]`

| Receive an object for locating the origin of SAX document events. Reimplemented from ACEXML_ContentHandler. Reimplemented in ACEXML_Print_Handler, ACEXML_SAXPrint_Handler, and ACEXML_Svcconf_Handler.

virtual void ACEXML_DefaultHandler::skippedEntity | ( | const ACEXML_Char *name | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| Receive notification of a skipped entity. Reimplemented from ACEXML_ContentHandler. Reimplemented in ACEXML_Print_Handler, ACEXML_SAXPrint_Handler, and ACEXML_Svcconf_Handler.

void ACEXML_DefaultHandler::startDocument | ( | ACEXML_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Receive notification of the beginning of a document. Reimplemented from ACEXML_ContentHandler. Reimplemented in ACEXML_Print_Handler, ACEXML_SAXPrint_Handler, and ACEXML_Svcconf_Handler.

virtual void ACEXML_DefaultHandler::startElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Receive notification of the beginning of an element. Reimplemented from ACEXML_ContentHandler. Reimplemented in ACEXML_Print_Handler, ACEXML_SAXPrint_Handler, and ACEXML_Svcconf_Handler.

virtual void ACEXML_DefaultHandler::startPrefixMapping | ( | const ACEXML_Char * | prefix,
|  | const ACEXML_Char *uri | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Begin the scope of a prefix-URI Namespace mapping. Reimplemented from ACEXML_ContentHandler. Reimplemented in ACEXML_Print_Handler, ACEXML_SAXPrint_Handler, and ACEXML_Svcconf_Handler.

virtual void ACEXML_DefaultHandler::unparsedEntityDecl | ( | const ACEXML_Char * | name,
|  | const ACEXML_Char * | publicId,
|  | const ACEXML_Char * | systemId,
|  | const ACEXML_Char *notationName | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Receive notification of an unparsed entity declaration event. Reimplemented from ACEXML_DTDHandler. Reimplemented in ACEXML_Print_Handler, ACEXML_SAXPrint_Handler, and ACEXML_Svcconf_Handler.

virtual void ACEXML_DefaultHandler::warning | ( | ACEXML_SAXParseException &exception | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| Receive notification of a warning. Reimplemented from ACEXML_ErrorHandler. Reimplemented in ACEXML_Print_Handler, ACEXML_SAXPrint_Handler, and ACEXML_Svcconf_Handler.

The documentation for this class was generated from the following files:

- DefaultHandler.h
- DefaultHandler.cpp